[Index]
Model ref.: tool/Search
The full URL would include the host-proxy name: https://[host-proxy].
Variables are enclosed in square brackets.
{
"$schema": "http://json-schema.org/draft-03/schema",
"type": "object",
"properties": {
"saved_search": {
"title": "Load SavedSearch",
"description": "Enter the name of a saved search to load it. The search is carried out from within the saved search results.",
"type": "string",
"maxLength": 1024
},
"query": {
"title": "Search query",
"description": "The search query text. By default the case-insensitive text is the search query.",
"type": "string",
"maxLength": 1024
},
"hierarchy_shallow": {
"title": "Hierarchy shallow traverse",
"description": "Only search for results in models themselves; not in any models that they may contain as resources.",
"type": "boolean"
},
"filter_tags": {
"title": "Filter on tags",
"description": "Used to enter a filter string of created search tags to search for.",
"type": "string",
"maxLength": 1024
},
"tags_or": {
"title": "Contains any of the tags (OR)",
"description": "Select if the Filter on tags string of search tags are to be separated by OR.",
"type": "boolean"
},
"limit": {
"title": "Limit returned results",
"description": "The maximum number of results to return.",
"type": "string",
"maxLength": 1024
},
"filter_model_type": {
"title": "Model type",
"description": "Select from the drop-down control the model type to which the search should be restricted. A selected model type is accompanied by a Model Field.",
"type": "string",
"format": "uri",
"target": "/api/choices/?format=json&hierarchy=[hierarchy]&auth_token=[authtoken],
"maxLength": 1024,
"target_model_type": "",
"choices": []
},
"adv_options": {
"title": "Advanced options",
"description": "A set of options to carry out a more refined search.",
"type": "array",
"items": {
"type": "object",
"properties": {
"model_field": {
"title": "Model field",
"description": "The selected field of a model to search in if a Model Type is selected to restrict the search.",
"type": "string",
"required": true,
"choices": [
{
"value": "",
"title": ""
}
],
"maxLength": 1024
},
"condition": {
"title": "Condition",
"description": "A condition can be specified on the Filtered text regarding its status in search results. Available values are: Contains, Does Not Contain, Starts With, Ends with, Equals, Not Equal.",
"type": "string",
"maxLength": 1024,
"choices": [
[
"contains",
"Contains"
],
[
"endswith",
"Ends with"
],
[
"isexactly",
"Is Exactly"
],
[
"like",
"Is Like"
],
[
"startswith",
"Starts with"
],
[
"notequals",
"Not Equals"
]
]
},
"filter_text": {
"title": "Filter text",
"description": "Search results can be filtered by additional text.",
"type": "string",
"maxLength": 1024
},
"ignore_case": {
"title": "Ignore case",
"description": "Select to carry out a case-insensitive search on the Filter text.",
"type": "boolean"
}
}
}
}
},
"schema_version": "0.1.5"
}
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Bulk delete [pkid1],[pkid2]... | DELETE | /api/bulk_delete/?hierarchy=[hierarchy] | hierarchy=[hierarchy] | {"hrefs":["/api/tool/Search/[pkid1]", "/api/tool/Search/[pkid2]", ...]} |
GET http://[host-proxy]/api/tool/Search/?hierarchy=[hierarchy]&format=json
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Get a selected [export_format] of the schema and instances [pkid1], [pkid2],... of tool/Search; optionally with tag_version at [version] and Configuration Template as [configtemplate]. | POST | /api/export/export_data/?hierarchy=[hierarchy] |
|
{ "hrefs":["/api/tool/Search/[pkid1]", "/api/tool/Search/[pkid2]",...]}} |
For export_format=json, the response is a time stamped zip file of data in JSON as in the system database. Item properties such as strings that are empty or Boolean values that are not set, are not included. The filename in the response is of the format as the example:
Content-Disposition: attachment; filename=export_2013-05-17_14:20:19.186444.json.zip
Content-Language:en
Content-Type:application/x-zip
For export_format=raw_xlsx, the response is a MS Excel spreadsheet with columns corresponding to the JSON format export and a response filename format:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
For export_format=xlsx, the response is a MS Excel spreadsheet, arranged by any Field Display Policies that apply. The columns correspond with those of a Bulk Load Template export sheet. The response filename format is:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_formatted_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
The XLSX format can be used to bulk load instances of tool/Search and the JSON format can be used to import instances of tool/Search.
GET http://[host-proxy]/api/tool/Search/?hierarchy=[hierarchy]
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Tag | PATCH | /api/+tag/?hierarchy=[hierarchy] |
|
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get the on-line Help for tool/Search. | GET | /api/tool/Search/help/?hierarchy=[hierarchy] | hierarchy=[hierarchy] | On-line help of Model ref.: tool/Search as HTML |